<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Parts/Summary/Summary.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Parts.Summary.Summary</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Parts.html" >Parts</a>.<a href="../Summary.html" >Summary</a>
</div><div class="class-name">class Summary

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Parts/Summary.py.html" target="detail">../Synopsis/Formatters/HTML/Parts/Summary.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Summary.Summary" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line15" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Summary-inheritance" src="Summary-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Summary-inheritance_map" />
<map name="Summary-inheritance_map"></map>
 <div class="doc">Formatting summary visitor. This formatter displays a summary for each
    declaration&#44; with links to the details if there is one. All of this is
    controlled by the ASGFormatters.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="fragments">fragments</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line20" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">view</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line23" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Summary.html#set_link_detail" >set_link_detail</a></span>(<span class="variable">self</span>, <span class="variable">flag</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.set_link_detail" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line28" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Sets link_detail flag to given value.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Summary.html#label" >label</a></span>(<span class="variable">self</span>, <span class="variable">ref</span>, <span class="variable">label</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.label" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line34" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Override to check link_detail flag.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Summary.html#write_section_start" >write_section_start</a></span>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.write_section_start" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line44" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Start a 'summary' section and write an appropriate heading.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Summary.html#write_section_end" >write_section_end</a></span>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.write_section_end" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line50" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Close the section.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Summary.html#write_section_item" >write_section_item</a></span>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.write_section_item" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line55" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Add an item.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Summary.html#process" >process</a></span>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line60" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="set_link_detail">set_link_detail</a>(<span class="variable">self</span>, <span class="variable">flag</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.set_link_detail" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line28" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Sets link_detail flag to given value.
        @see label&#40;&#41;</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="label">label</a>(<span class="variable">self</span>, <span class="variable">ref</span>, <span class="variable">label</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.label" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line34" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Override to check link_detail flag. If it's set&#44; returns a reference
        instead - which will be to the detailed info</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_section_start">write_section_start</a>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.write_section_start" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line44" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Start a 'summary' section and write an appropriate heading.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_section_end">write_section_end</a>(<span class="variable">self</span>, <span class="variable">heading</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.write_section_end" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line50" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Close the section.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_section_item">write_section_item</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.write_section_item" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line55" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Add an item.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref12.html#Synopsis.Formatters.HTML.Parts.Summary.Summary.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Parts/Summary.py.html#line60" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Print out the summaries from the given scope</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:09 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
